## org.apache.poi.hslf.record
Interface ParentAwareRecord

All Known Implementing Classes:
  TextHeaderAtom

    public interface ParentAwareRecord

Interface to define how a record can indicate it cares about what its parent is, and how it wants to be told which record is its parent.

Author:
  Nick Burch (nick at torchbox dot com)

Method Summary
`RecordContainer` `getParentRecord()`
`void` `setParentRecord(RecordContainer parentRecord)`

Method Detail

### getParentRecord

    RecordContainer getParentRecord()

### setParentRecord

    void setParentRecord(RecordContainer parentRecord)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.